﻿# Installer Language Strings
# TODO Update the Language Strings with the appropriate translations.
!define LANG "SimpChinese"

LicenseLangString license ${LANG_SIMPCHINESE} "Resource\license.chn.txt"
VIAddVersionKey /LANG=${LANG_SIMPCHINESE} ProductName "Mabinogi助手"
VIAddVersionKey /LANG=${LANG_SIMPCHINESE} FileDescription "Mabinogi助手安装程序"
VIAddVersionKey /LANG=${LANG_SIMPCHINESE} LegalCopyright "Copyright (c) 2009 Logue All rights reserved."

!insertmacro LANG_STRING ^UninstallLink "卸载 $(^Name)"

!insertmacro LANG_STRING IE_Version_error "Internet Explorer 的版本较旧(低于IE7)。安装 Mabinogi Assist 之前，请将你的IE更新到最新版。"
!insertmacro LANG_STRING Check_vcredist "检测是否安装 Microsoft Visual C++2008 SP1..."
!insertmacro LANG_STRING vcredist_url "http://download.microsoft.com/download/7/5/0/7502f4e9-1f90-4895-9259-1bde67b8b9a1/vcredist_x86.exe"

!insertmacro LANG_STRING Detect_Mabinogi "自动检测Mabinogi安装目录"
!insertmacro LANG_STRING Error_Detect_Mabinogi "Mabinogi检测失败，请确保Mabinogi已安装。$\n继续安装请单击「是」"
!insertmacro LANG_STRING MabiAssist_Directory_title  "选择安装位置"
!insertmacro LANG_STRING MabiAssist_Directory_subtitle "请选择安装 $(^NameDA) 的文件夹"
!insertmacro LANG_STRING MabiAssist_Directory_MabiDir "Mabinogi安装位置:"
!insertmacro LANG_STRING MabiAssist_Directory_MabiAssistDir "Mabinogi Assist安装位置:"
!insertmacro LANG_STRING MabiAssist_Directory_Notice "※安装程序会自动检测Mabinogi的安装位置，通常不需要更改这里的设定。$\n现在不支持安装了多个Mabinogi的环境，请谅解。"
!insertmacro LANG_STRING MabiAssist_Directory_Error "没有输入Mabinogi的安装位置"

!insertmacro LANG_STRING Client_Launched_Error "请在安装开始前，退出Mabinogi"

!insertmacro LANG_STRING Download "下载中..."
!insertmacro LANG_STRING Error_Download "文件下载失败:$0$\n请检查防火墙设定。继续安装单击「是」。"
!insertmacro LANG_STRING Skip_Download "跳过下载"
!insertmacro LANG_STRING Error_Extract "文件解压失败:$0"
!insertmacro LANG_STRING Error_OutdateInstaller "安装程序的版本可能太旧。$\n请连接到Mabinogi Assist网站升级安装。"
!insertmacro LANG_STRING Installation_intercept "安装中断:$0"
!insertmacro LANG_STRING nsisunz_text "Zip 解压：%f"
!insertmacro LANG_STRING nsis7z_text "7-zip 解压：%s"

!insertmacro LANG_STRING DistributerLink "发布源"

!insertmacro LANG_STRING Core "Mabinogi Assist Core"
!insertmacro LANG_STRING Core_desc "Mabinogi Assist的主功能。"
	!insertmacro LANG_STRING MabinogiMemoryPatch "Mabinogi内存补丁"
	!insertmacro LANG_STRING MabinogiMemoryPatch_desc "将Mabinogi的隐藏功能有效化的高效Mod。实现CPU的负载率调整，视野扩展，战斗力显示等。"
	!insertmacro LANG_STRING NaoTimer "NaoTimer"
	!insertmacro LANG_STRING NaoTimer_desc "显示Mabinogi时间的同时，还显示与时间有关的各种信息。"


	!insertmacro LANG_STRING MabinogiPlus2 "MabinogiPlus2"
	!insertmacro LANG_STRING MabinogiPlus2_desc "显示物品的色码，NPC销售价格，质量，小数点以下的耐久等。"
	!insertmacro LANG_STRING mwfre "mwfre"
	!insertmacro LANG_STRING mwfre_desc "Mabinogi WebFrame Renderer Enabler。$\n可以使得除了官方网站以外，也能显示Mabinogi的3D虚拟形象。"
!insertmacro LANG_STRING Tools "工具"
!insertmacro LANG_STRING Tools_desc "Mabinogi的辅助工具。"
	!insertmacro LANG_STRING mmSeq "mmSeq中文版"
	!insertmacro LANG_STRING mmSeq_desc "MakiMaki开发的钢琴卷式的MML制作工具。"
	!insertmacro LANG_STRING 3MLE "3MLE中文版"
	!insertmacro LANG_STRING 3MLE_desc "能实时地分析输入的MML，显示为事件列表以及钢琴卷。能演奏出游戏里的实际的声音，也许对你创作MML很有帮助吧。"
	!insertmacro LANG_STRING MabinogiColorHelper "Mabinogi染色助手"
	!insertmacro LANG_STRING MabinogiColorHelper_desc "自动选择与指定颜色接近的颜色"
	!insertmacro LANG_STRING dyeAssistantAssistant "染色助手助手"
	!insertmacro LANG_STRING dyeAssistantAssistant_desc ""
	!insertmacro LANG_STRING MultiPatch "多重启动补丁"
	!insertmacro LANG_STRING MultiPatch_desc "能使多个Mabinogi同时启动。当版本升级不能使用了的时候，可以再次用MabiAssist工具打补丁。"
!insertmacro LANG_STRING Mod "MabiAssist标准Modding"
!insertmacro LANG_STRING Mod_desc "MabiAssist标准的Modding软件。"
	!insertmacro LANG_STRING PingBox "服务器状况显示"
	!insertmacro LANG_STRING PingBox_desc "在菜单中服务器名左侧显示分区的混杂状况。绿色:良好  黄色:迟钝  红:混乱(鼠标悬停显示延迟时间)"
	!insertmacro LANG_STRING CustomFont "自定义Telop字体"
	!insertmacro LANG_STRING CustomFont_desc "将Telop字体更改为DEP ShaoNV W5-GB。"
	!insertmacro LANG_STRING CustomMap "自定义地图"
	!insertmacro LANG_STRING CustomMap_desc "自定义的地图，记载着对探险有用的伊利亚的宝藏、遗迹、野外BOSS等。"
	!insertmacro LANG_STRING CutTransformScene "变身动画去除"
	!insertmacro LANG_STRING CutTransformScene_desc "去除变身时候的动画，以及变身使用技能时镜头的摄影角度强制改变。"
	!insertmacro LANG_STRING CutItemDropAnime "物品掉落动画省略"
	!insertmacro LANG_STRING CutItemDropAnime_desc "省略物品掉落时候的动画。"
	!insertmacro LANG_STRING BlockChat "禁止用语无效化"
	!insertmacro LANG_STRING BlockChat_desc ""
	!insertmacro LANG_STRING HideDummy "隐藏简单化角色"
	!insertmacro LANG_STRING HideDummy_desc "当简单化生效时，不显示被简单化的对象。"

!insertmacro LANG_STRING Core "Mabinogi Assist Core"
!insertmacro LANG_STRING Core_desc "Mabinogi Assist Core System"
	!insertmacro LANG_STRING MabinogiMemoryPatch "Mabinogi Memory Patch"
	!insertmacro LANG_STRING MabinogiMemoryPatch_desc "It is highly efficient Mod which validates the hiding function of Mabinogi. Load factor adjustment of CPU, view extension, a fighting power display, etc. are realized."
	!insertmacro LANG_STRING NaoTimer "NaoTimer"
	!insertmacro LANG_STRING NaoTimer_desc "This software is a timer which displays various information about time while displaying the time of Erinn."
	!insertmacro LANG_STRING NaoTimerVoice "MabiVoice 001"
	!insertmacro LANG_STRING NaoTimerVoice_desc "Miu Nekomiya's NaoTimer Voice set. (Sorry Japanese only)"
	!insertmacro LANG_STRING MabinogiPlus2 "MabinogiPlus2"
	!insertmacro LANG_STRING MabinogiPlus2_desc "This software displays the color code of an item, the NPC selling price, quality, the durable value below a decimal point, etc. on an item screen."
	!insertmacro LANG_STRING mwfre "mwfre"
	!insertmacro LANG_STRING mwfre_desc "Mabinogi WebFrame Renderer Enabler。$\nIt enables it to display 3D avator of Mabinogi except an official site."
!insertmacro LANG_STRING Tools "Tools"
!insertmacro LANG_STRING Tools_desc "Mabinogi supplementary Tools"
	!insertmacro LANG_STRING mmSeq "mmSeq"
	!insertmacro LANG_STRING mmSeq_desc "Makimaki's pianorole type MML creation tool. (Sorry Japanese and Chinese only)"
	!insertmacro LANG_STRING 3MLE "3MLE"
	!insertmacro LANG_STRING 3MLE_desc "Inputted MML is analyzed on real time and it displays on an event list and a music roll in an instant. It performs to an actual sound in a game, and, probably, is a help to your MML manufacture."
	!insertmacro LANG_STRING KukuTimer "KukuTimer"
	!insertmacro LANG_STRING KukuTimer_desc "Kuku's Boss Timer. (Sorry Japanese server only)"
	!insertmacro LANG_STRING MabinogiColorHelper "Mabinogi Color Helper"
	!insertmacro LANG_STRING MabinogiColorHelper_desc "It is the software which makes auto select of the color near the specified color. (Sorry Chinese and Japanese only)"
	!insertmacro LANG_STRING MultiPatch "MultiPatch"
	!insertmacro LANG_STRING MultiPatch_desc "This patch can be made to carry out multiplex starting of the Mabinogi client. When it becomes impossible to use at the time of upgrade, a patch can be again applied from the tool of MabiAssist."
!insertmacro LANG_STRING Mod "MabiAssist Standard Modding"
!insertmacro LANG_STRING Mod_desc "MabiAssist Standard Modding software."
	!insertmacro LANG_STRING PingBox "Server infomation"
	!insertmacro LANG_STRING PingBox_desc "The confusion situation of area is displayed on the left-hand side of the server name of a menu."
	!insertmacro LANG_STRING CustomFont "Custom telop font"
	!insertmacro LANG_STRING CustomFont_desc "This mod changes telop to BusAccident! font."	
	!insertmacro LANG_STRING CustomMap "Custom map for NA Client"
	!insertmacro LANG_STRING CustomMap_desc "It is the custom-made map which indicated the treasure of the Iria continent of an information full load, ruins, a boss monster which are useful by exploration."
	!insertmacro LANG_STRING CutTransformScene "Transformation scene cut"
	!insertmacro LANG_STRING CutTransformScene_desc "The camera angle forcible change at the time of the skill use at the time of transformation and transformation is cut."
	!insertmacro LANG_STRING CutItemDropAnime "Dropping item animation omission"
	!insertmacro LANG_STRING CutItemDropAnime_desc "The animation when dropping an item is omitted."
	!insertmacro LANG_STRING BlockChat "Disable deny words"
	!insertmacro LANG_STRING BlockChat_desc ""
	!insertmacro LANG_STRING HideDummy "Hide Simplified Charactor"
	!insertmacro LANG_STRING HideDummy_desc "When simplification is effective, display processing of the player which has been the target of simplification is omitted."
!insertmacro LANG_STRING Noginogi "Jinsu's Noginogi"
!insertmacro LANG_STRING Noginogi_desc "安装韩国Jinsu的Noginogi lv.${NOGINOGI_VER}。※启动该应用程序，你必须手动打补丁。"
!insertmacro LANG_STRING Noginogi_info "单击「是」启动Noginogi。$\n如果Noginogi启动了，请按Patch按钮。此外，你可以右键单击选中你想要的功能。"
!insertmacro LANG_STRING Noginogi_uninst "Noginogi的卸装需要手动进行。$\n如果Noginogi启动了,请单击右键选择「remover」。" 

!insertmacro LANG_STRING CutScene "场景动画省略"
!insertmacro LANG_STRING CutScene_desc "这个Mod用来省略场景动画"
	!insertmacro LANG_STRING CutBoss "Boss动画省略"
	!insertmacro LANG_STRING CutBoss_desc "省略佑拉大陆的地下城的BOSS动画"
	!insertmacro LANG_STRING CutDiscovery "发现遗迹镜头改变省略"
	!insertmacro LANG_STRING CutDiscovery_desc "当你敲遗迹，镜头角度改变的效果省略"
	!insertmacro LANG_STRING CutRenes "G8龙蛋动画省略"
	!insertmacro LANG_STRING CutRenes_desc "省略红龙蛋场景动画"
	!insertmacro LANG_STRING CutBroom "扫帚宠物动画省略"
	!insertmacro LANG_STRING CutBroom_desc "省略乘骑扫帚时候的动画"

!insertmacro LANG_STRING Modding "Modding"
!insertmacro LANG_STRING Modding_desc "自定义客户端的UI部分"
	!insertmacro LANG_STRING UI "UI Mod"
	!insertmacro LANG_STRING UI_desc "改变聊天窗口和边框"
	
	!insertmacro LANG_STRING Blacksmith "打铁和制衣"
	!insertmacro LANG_STRING Blacksmith_desc "更改使用打铁和制衣技能时的背景图片"
		!insertmacro LANG_STRING Blacksmith_0 "不变"
		!insertmacro LANG_STRING Blacksmith_0_desc ""
		!insertmacro LANG_STRING Blacksmith_1 "类型 1"
		!insertmacro LANG_STRING Blacksmith_1_desc "简化背景图显示"
		!insertmacro LANG_STRING Blacksmith_2 "类型 2"
		!insertmacro LANG_STRING Blacksmith_2_desc "单色背景图显示 (推荐)"
	!insertmacro LANG_STRING Lload "探测仪(L rod)"
	!insertmacro LANG_STRING Lload_desc "更改探险仪反应效果"
		!insertmacro LANG_STRING Lload_0 "不变"
		!insertmacro LANG_STRING Lload_0_desc ""
		!insertmacro LANG_STRING Lload_1 "类型 1 (色彩化)"
		!insertmacro LANG_STRING Lload_1_desc "探险仪反应效果改为RGB色彩化. (推荐)"
		!insertmacro LANG_STRING Lload_2 "类型 2 (巨大化)"
		!insertmacro LANG_STRING Lload_2_desc "险仪反应效果改为变大"
	!insertmacro LANG_STRING Target "目标锁定环"
	!insertmacro LANG_STRING Target_desc "更改按下AlT键时目标锁定环的图片"
		!insertmacro LANG_STRING Target_0 "不变"
		!insertmacro LANG_STRING Target_0_desc ""
		!insertmacro LANG_STRING Target_1 "类型 1"
		!insertmacro LANG_STRING Target_1_desc ""
		!insertmacro LANG_STRING Target_2 "类型 2"
		!insertmacro LANG_STRING Target_2_desc "魔法阵回旋"
		!insertmacro LANG_STRING Target_3 "类型 3"
		!insertmacro LANG_STRING Target_3_desc "RagnarokOnline风格 (推荐)"
		!insertmacro LANG_STRING Target_4 "Type 4"
		!insertmacro LANG_STRING Target_4_desc ""
		!insertmacro LANG_STRING Target_5 "Type 5"
		!insertmacro LANG_STRING Target_5_desc "简化"
	!insertmacro LANG_STRING Mimic "显示宝箱怪"
	!insertmacro LANG_STRING Mimic_desc ""
	!insertmacro LANG_STRING Key "钥匙扩大"
	!insertmacro LANG_STRING Key_desc "使地下城房间里宝箱的钥匙变大"
	!insertmacro LANG_STRING Sheep "羊Mod"
	!insertmacro LANG_STRING Sheep_desc ""

!insertmacro LANG_STRING Simplify "简单化/轻量化"
!insertmacro LANG_STRING Simplify_desc "这个Mod用于简化材质和多边形数目"
	!insertmacro LANG_STRING Magic "魔法效果轻量化"
	!insertmacro LANG_STRING Magic_desc ""
	!insertmacro LANG_STRING Blur "动态模糊效果轻量化"
	!insertmacro LANG_STRING Blur_desc "整个屏幕抖动的效果省略"
	!insertmacro LANG_STRING Terrain "半地形材质Mod"
	!insertmacro LANG_STRING Terrain_desc "地形材质解析度减半，减轻显卡负担"
	!insertmacro LANG_STRING Dungeon "地下城墙壁简化"
	!insertmacro LANG_STRING Dungeon_desc "移除地下城的墙壁、植物等"
		!insertmacro LANG_STRING Barri "巴里/阿贝地下城"
		!insertmacro LANG_STRING Barri_desc "移除巴里/阿贝地地下城的墙壁和柱子"
		!insertmacro LANG_STRING Runda "伦达地下城"
		!insertmacro LANG_STRING Runda_desc "移除伦达地下城的墙壁和柱子"
		!insertmacro LANG_STRING WoodsRuins "菲奥纳/克丽尔地下城"
		!insertmacro LANG_STRING WoodsRuins_desc "移除菲奥纳/克丽尔地下城的墙壁、植物等"
	!insertmacro LANG_STRING Critical "暴击效果简化"
	!insertmacro LANG_STRING Critical_desc "简化暴击效果，减少暴击的闪光效果"
	!insertmacro LANG_STRING Iria "伊利亚物件简化"
	!insertmacro LANG_STRING Iria_desc "简化伊利亚区域的物件"
	!insertmacro LANG_STRING Grass "草简化"
	!insertmacro LANG_STRING Grass_desc "移除迪尔科内尔的草"
	!insertmacro LANG_STRING Sheep "羊Mod"
	!insertmacro LANG_STRING Sheep_desc ""

	!insertmacro LANG_STRING Field "野外效果简化"
	!insertmacro LANG_STRING Field_desc ""
		!insertmacro LANG_STRING Desert "沙漠效果简化"
		!insertmacro LANG_STRING Desert_desc ""
		!insertmacro LANG_STRING Sand "沙尘暴除去"
		!insertmacro LANG_STRING Sand_desc ""
		!insertmacro LANG_STRING Snow "雪除去"
		!insertmacro LANG_STRING Snow_desc ""
	
	!insertmacro LANG_STRING G9 "G9 塔汀"
	!insertmacro LANG_STRING G9_desc "G9区域简化补丁 (Taillteann, Abb Neagh, Sliab Cuilin)"
		!insertmacro LANG_STRING G9Objects "物件"
		!insertmacro LANG_STRING G9Objects_desc "物件简化"
		!insertmacro LANG_STRING G9Textures "材质"
		!insertmacro LANG_STRING G9Textures_desc "材质简化"
	
	!insertmacro LANG_STRING G10 "G10 塔拉"
	!insertmacro LANG_STRING G10_desc "G10区域简化补丁 (Tara etc)."
		!insertmacro LANG_STRING G10Objects "物件"
		!insertmacro LANG_STRING G10Objects_desc "物件简化"
		!insertmacro LANG_STRING G10Textures "材质"
		!insertmacro LANG_STRING G10Textures_desc "材质简化"

;Noginogi Translation

!insertmacro LANG_STRING Noginogi "Noginogi"
!insertmacro LANG_STRING Noginogi_desc "安装韩国Jinsu的Noginogi lv${NOGINOGI_VER}。※启动该应用程序，你必须手动打补丁。"
!insertmacro LANG_STRING Noginogi_info "单击「是」启动Noginogi。$\n如果Noginogi启动了，请按Patch按钮。此外，你可以右键单击选中你想要的功能。"
!insertmacro LANG_STRING Noginogi_uninst "Noginogi的卸装需要手动进行。$\n如果Noginogi启动了,请单击右键选择「remover」。" 
;Noginogi Translation
!insertmacro LANG_STRING Noginogi_Language "English"
!insertmacro LANG_STRING Noginogi_Author "Logue"
!insertmacro LANG_STRING Noginogi_Homepage "logue.be"

!insertmacro LANG_STRING Noginogi_Title1 "成功"
!insertmacro LANG_STRING Noginogi_Title2 "失败"
!insertmacro LANG_STRING Noginogi_Title3 "问题"

!insertmacro LANG_STRING Noginogi_Browse1 "请选择Mabinogi的设置目录。"
!insertmacro LANG_STRING Noginogi_Browse2 "通常的路径是 [C:\Program Files\Mabinogi]。"

!insertmacro LANG_STRING Noginogi_Msg1 "Pleione.dll 没找到，Mabinogi正在运行。请先关闭客户端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg2 "Standard.dll 没找到，Mabinogi正在运行。请先关闭客户端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg3 "Renderer2.dll 没找到，Mabinogi正在运行。请先关闭客户端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg4 "Pleione.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg5 "Standard.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg6 "Renderer2.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg7 "Pleione.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg8 "Standard.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg9 "Renderer2.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg10 "打补丁失败，文件不正确。"
!insertmacro LANG_STRING Noginogi_Msg11 "打补丁成功。"
!insertmacro LANG_STRING Noginogi_Msg12 "请先认真阅读手册后使用Noginogi。"
!insertmacro LANG_STRING Noginogi_Msg13 "Mabinogi正在运行。请先关闭客户端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg14 "你现在使用的是旧版的Noginogi，请先执行Patch Remover。"
!insertmacro LANG_STRING Noginogi_Msg15 "Noginogi Remover 将删掉以前的Noginogi补丁。必须关闭客户端才能清除干净。继续吗？"
!insertmacro LANG_STRING Noginogi_Msg16 "Noginogi Remover 将删掉以前的Noginogi补丁。必须关闭客户端才能清除干净。继续吗？（当选择正确的文件路径后补丁会被执行。）"
!insertmacro LANG_STRING Noginogi_Msg17 "Version.dat没找到，或被使用中。请先关闭Mabinogi Launcher端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg18 "Mabinogi Launcher正在运行。请先关闭Mabinogi Launcher端再尝试。"
!insertmacro LANG_STRING Noginogi_Msg19 "Mabinogi Launcher没找到。运行Remover必须有Launcher。"
!insertmacro LANG_STRING Noginogi_Msg20 "请指定正确的Mabinogi文件路径！请参考手册。"
!insertmacro LANG_STRING Noginogi_Msg21 "ESL.dll 没找到，请确保没在运行Mabinogi客户端。"
!insertmacro LANG_STRING Noginogi_Msg22 "ESL.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg23 "ESL.dll 映射失败！"
!insertmacro LANG_STRING Noginogi_Msg24 "noginogi.ini是旧版本。某些功能可能无法运作。"

!insertmacro LANG_STRING Noginogi_Nogi0 "Noginogi通常补丁"
!insertmacro LANG_STRING Noginogi_Nogi1 "与NPC对话时移动[Kareh]"
!insertmacro LANG_STRING Noginogi_Nogi2 "扔掉物品的确认[Lilu]"
!insertmacro LANG_STRING Noginogi_Nogi3 "隐藏组队的时候仍显示商店名[lona]"
!insertmacro LANG_STRING Noginogi_Nogi4 "自我交易开启"
!insertmacro LANG_STRING Noginogi_Nogi5 "宠物简化"
!insertmacro LANG_STRING Noginogi_Nogi6 "变身简化"
!insertmacro LANG_STRING Noginogi_Nogi7 "吃饭效果简化"
!insertmacro LANG_STRING Noginogi_Nogi7_1 "吃饭效果简化开启"
!insertmacro LANG_STRING Noginogi_Nogi7_2 "吃饭效果简化关闭"
!insertmacro LANG_STRING Noginogi_Nogi7_3 "框架去除"
!insertmacro LANG_STRING Noginogi_Nogi8 "耐久显示扩展"
!insertmacro LANG_STRING Noginogi_Nogi8_1 "[图A] 1234/5678 (a/b)"
!insertmacro LANG_STRING Noginogi_Nogi8_2 "[图B] a/b (1234/5678)"
!insertmacro LANG_STRING Noginogi_Nogi8_3 "[图C] 1234/5678"
!insertmacro LANG_STRING Noginogi_Nogi8_4 "耐久显示扩展关闭"
!insertmacro LANG_STRING Noginogi_Nogi9 "视野扩展"
!insertmacro LANG_STRING Noginogi_Nogi10 "地下城地图显示"
!insertmacro LANG_STRING Noginogi_Nogi11 "宝箱怪、硫磺石巨人目标锁定"
!insertmacro LANG_STRING Noginogi_Nogi12 "战斗力显示"
!insertmacro LANG_STRING Noginogi_Nogi13 "第三方Mod"
!insertmacro LANG_STRING Noginogi_Nogi14 "NPC简化"
!insertmacro LANG_STRING Noginogi_Nogi15 "MOB简化"
!insertmacro LANG_STRING Noginogi_Nogi16 "截图的版权显示无效化"
!insertmacro LANG_STRING Noginogi_Nogi18 "data目录优先读取"
!insertmacro LANG_STRING Noginogi_Nogi19 "Alt键按下时的改变文字颜色"
!insertmacro LANG_STRING Noginogi_Nogi20 "功能"
!insertmacro LANG_STRING Noginogi_Nogi21 "零高度飞行"
!insertmacro LANG_STRING Noginogi_Nogi22 "不能行动时的技能使用"
!insertmacro LANG_STRING Noginogi_Nogi23 "变身效果无视"
!insertmacro LANG_STRING Noginogi_Nogi24 "忽略消息"
!insertmacro LANG_STRING Noginogi_Nogi25 "交换房屋广告与组队招募窗口"
!insertmacro LANG_STRING Noginogi_Nogi26 "全部"
!insertmacro LANG_STRING Noginogi_Nogi27 "组队"
!insertmacro LANG_STRING Noginogi_Nogi28 "名字"
!insertmacro LANG_STRING Noginogi_Nogi29 "耐久值的文字变色改变"
!insertmacro LANG_STRING Noginogi_Nogi30 "总是命令宠物"
!insertmacro LANG_STRING Noginogi_Nogi31 "战斗模式物品锁定"
!insertmacro LANG_STRING Noginogi_Nogi32 "Noginogi Remover"
!insertmacro LANG_STRING Noginogi_Nogi33 "头像简化"

!insertmacro LANG_STRING NabiPack_1 "Click OK button to launch NabiPack.$\nPlease click Patch button of the NabiPack."
!insertmacro LANG_STRING NabiPack_2 "Click OK button to launch NabiPack.$\nPlease click Repair button of the NabiPack."
