# Installer Language Strings
# TODO Update the Language Strings with the appropriate translations.
!define LANG "English"

LicenseLangString license ${LANG_ENGLISH} "Resource\license.eng.txt"
VIAddVersionKey /LANG=${LANG_ENGLISH} ProductName "Mabinogi Assist"
VIAddVersionKey /LANG=${LANG_ENGLISH} FileDescription "Mabinogi Assist Installer"
VIAddVersionKey /LANG=${LANG_ENGLISH} LegalCopyright "Copyright (c) 2009 Logue All rights reserved."

!insertmacro LANG_STRING ^UninstallLink "Uninstall $(^Name)"
!insertmacro LANG_STRING UninstallNotice_pre "Please check the following items before uninstalling. It may not be ordinarily uninstallable."
!insertmacro LANG_STRING UninstallNotice_1 "* When you are using Noginogi, the patch of Noginogi is deleted with a Noginogi remover."
!insertmacro LANG_STRING UninstallNotice_2 "* When you are using NabiPack, you perform Repair, and you repair the patch of a .pack file."
!insertmacro LANG_STRING UninstallNotice_suf "Click 'yes' will continue uninstallation."

!insertmacro LANG_STRING IE_Version_error "The version of Internet Explorer seems to be old (less than IE7). Please update it to IE of the latest version before installing Mabinogi Assist."
!insertmacro LANG_STRING Check_vcredist "Checking Microsoft Visual C++ 2008 SP1..."
!insertmacro LANG_STRING vcredist_url "http://download.microsoft.com/download/1/1/1/1116b75a-9ec3-481a-a3c8-1777b5381140/vcredist_x86.exe"

!insertmacro LANG_STRING Detect_Mabinogi "Auto detecting Mabinogi Directory"
!insertmacro LANG_STRING Error_Detect_Mabinogi "Mabinogi detection failure. Please confirm Mabinogi installed.$\nTo continue click 'Yes'."
!insertmacro LANG_STRING MabiAssist_Directory_title  "Choose Install Location"
!insertmacro LANG_STRING MabiAssist_Directory_subtitle "Choose the folder in which to install $(^NameDA)."
!insertmacro LANG_STRING MabiAssist_Directory_MabiDir "Mabinogi Instlation Directory"
!insertmacro LANG_STRING MabiAssist_Directory_MabiAssistDir "Mabinogi Assist Installation Directory"
!insertmacro LANG_STRING MabiAssist_Directory_Notice "Note: An installer detects the installation place of Mabinogi automatically. It is not necessary to change the setup here at the time of usual.$\nNow, the environment where multiple Mabinogi are installed is not supported."
!insertmacro LANG_STRING MabiAssist_Directory_Error "The directory of Mabinogi is not inputted."

!insertmacro LANG_STRING Client_Launched_Error "Please quit Mabinogi client before installation."

!insertmacro LANG_STRING Download "Downloading..."
!insertmacro LANG_STRING Error_Download "Download failure : $0$\nPlease check a setup of a firewall. Retry?"
!insertmacro LANG_STRING Skip_Download "Skipping to download "
!insertmacro LANG_STRING Error_Extract "Extract to $0 failure."
!insertmacro LANG_STRING Error_OutdateInstaller "This installer may be outdated version.$\nPlease connect Mabinogi Assist official site, and upgrade this."
!insertmacro LANG_STRING Installation_intercept "Installation intercepted : $0"
!insertmacro LANG_STRING nsisunz_text "Extract Zip: %f"
!insertmacro LANG_STRING nsis7z_text "Extract 7-zip: %s"

!insertmacro LANG_STRING DistributerLink "Distributer Link"

!insertmacro LANG_STRING Core "Mabinogi Assist Core"
!insertmacro LANG_STRING Core_desc "Mabinogi Assist Core System"
	!insertmacro LANG_STRING MabinogiMemoryPatch "Mabinogi Memory Patch"
	!insertmacro LANG_STRING MabinogiMemoryPatch_desc "It is highly efficient Mod which validates the hiding function of Mabinogi. Load factor adjustment of CPU, view extension, a fighting power display, etc. are realized."
	!insertmacro LANG_STRING NaoTimer "NaoTimer"
	!insertmacro LANG_STRING NaoTimer_desc "This software is a timer which displays various information about time while displaying the time of Erinn."
	!insertmacro LANG_STRING NaoTimerVoice "MabiVoice 001"
	!insertmacro LANG_STRING NaoTimerVoice_desc "Miu Nekomiya's NaoTimer Voice set. (Sorry Japanese only)"
	!insertmacro LANG_STRING MabinogiPlus2 "MabinogiPlus2"
	!insertmacro LANG_STRING MabinogiPlus2_desc "This software displays the color code of an item, the NPC selling price, quality, the durable value below a decimal point, etc. on an item screen."
	!insertmacro LANG_STRING mwfre "mwfre"
	!insertmacro LANG_STRING mwfre_desc "Mabinogi WebFrame Renderer EnablerB$\nIt enables it to display 3D avator of Mabinogi except an official site."
!insertmacro LANG_STRING Tools "Tools"
!insertmacro LANG_STRING Tools_desc "Mabinogi supplementary Tools"
	!insertmacro LANG_STRING mmSeq "mmSeq"
	!insertmacro LANG_STRING mmSeq_desc "Makimaki's pianorole type MML creation tool. (Sorry Japanese and Chinese only)"
	!insertmacro LANG_STRING 3MLE "3MLE"
	!insertmacro LANG_STRING 3MLE_desc "Inputted MML is analyzed on real time and it displays on an event list and a music roll in an instant. It performs to an actual sound in a game, and, probably, is a help to your MML manufacture."
	!insertmacro LANG_STRING KukuTimer "KukuTimer"
	!insertmacro LANG_STRING KukuTimer_desc "Kuku's Boss Timer. (Sorry Japanese server only)"
	!insertmacro LANG_STRING MabinogiColorHelper "Mabinogi Color Helper"
	!insertmacro LANG_STRING MabinogiColorHelper_desc "It is the software which makes auto select of the color near the specified color. (Sorry Chinese and Japanese only)"
	!insertmacro LANG_STRING MultiPatch "MultiPatch"
	!insertmacro LANG_STRING MultiPatch_desc "This patch can be made to carry out multiplex starting of the Mabinogi client. When it becomes impossible to use at the time of upgrade, a patch can be again applied from the tool of MabiAssist."
!insertmacro LANG_STRING Mod "MabiAssist Standard Modding"
!insertmacro LANG_STRING Mod_desc "MabiAssist Standard Modding software."
	!insertmacro LANG_STRING PingBox "Server infomation"
	!insertmacro LANG_STRING PingBox_desc "The confusion situation of area is displayed on the left-hand side of the server name of a menu."
	!insertmacro LANG_STRING CustomFont "Custom telop font"
	!insertmacro LANG_STRING CustomFont_desc "This mod changes telop to BusAccident! font."	
	!insertmacro LANG_STRING CustomMap "Custom map for NA Client"
	!insertmacro LANG_STRING CustomMap_desc "It is the custom-made map which indicated the treasure of the Iria continent of an information full load, ruins, a boss monster which are useful by exploration."
	!insertmacro LANG_STRING CutTransformScene "Transformation scene cut"
	!insertmacro LANG_STRING CutTransformScene_desc "The camera angle forcible change at the time of the skill use at the time of transformation and transformation is cut."
	!insertmacro LANG_STRING CutItemDropAnime "Dropping item animation omission"
	!insertmacro LANG_STRING CutItemDropAnime_desc "The animation when dropping an item is omitted."
	!insertmacro LANG_STRING BlockChat "Disable deny words"
	!insertmacro LANG_STRING BlockChat_desc ""
	!insertmacro LANG_STRING HideDummy "Hide Simplified Charactor"
	!insertmacro LANG_STRING HideDummy_desc "When simplification is effective, display processing of the player which has been the target of simplification is omitted."
!insertmacro LANG_STRING Noginogi "Jinsu's Noginogi"
!insertmacro LANG_STRING Noginogi_desc "Install Jinsu's Mabinogi Noginogi lv.${NOGINOGI_VER}."
!insertmacro LANG_STRING Noginogi_info "Click 'Yes' to launch Noginogi.$\nWhen launch Noginogi, please click 'Patch' button. Morever, You can choose additional function by right-click."
!insertmacro LANG_STRING Noginogi_uninst "Noginogi uninstallation is necessary manually.$\nPlease launch Noginogi and right-click and select 'Remover'." 

!insertmacro LANG_STRING CutScene "Cut Scene"
!insertmacro LANG_STRING CutScene_desc "This mod omits demo scene."
	!insertmacro LANG_STRING CutBoss "Cut boss scene"
	!insertmacro LANG_STRING CutBoss_desc "The scene displayed by the boss battle of the dungeon of the Uldah district is omitted."
	!insertmacro LANG_STRING CutDiscovery "Cut discovery camera change"
	!insertmacro LANG_STRING CutDiscovery_desc "When you knock ruins, the effect which changes a camera angle is omitted."
	!insertmacro LANG_STRING CutRenes "Cut G8 egg event scene"
	!insertmacro LANG_STRING CutRenes_desc "Cut Renes Egg event scene."
	!insertmacro LANG_STRING CutBroom "Cut broom pet animation"
	!insertmacro LANG_STRING CutBroom_desc "The animation at the time of broom pet getting on and off is omitted."

!insertmacro LANG_STRING Modding "Modding"
!insertmacro LANG_STRING Modding_desc "UI portion of a client is customized."
	!insertmacro LANG_STRING UI "UI Mod"
	!insertmacro LANG_STRING UI_desc "The frame of a window or a chat is changed."
	
	!insertmacro LANG_STRING Blacksmith "Blacksmith and Tailoring"
	!insertmacro LANG_STRING Blacksmith_desc "The background image at the time of Blacksmith and Tailoring skill use is changed."
		!insertmacro LANG_STRING Blacksmith_0 "No change"
		!insertmacro LANG_STRING Blacksmith_0_desc "It does not change."
		!insertmacro LANG_STRING Blacksmith_1 "Type 1"
		!insertmacro LANG_STRING Blacksmith_1_desc "The simplified picture is displayed."
		!insertmacro LANG_STRING Blacksmith_2 "Type 2"
		!insertmacro LANG_STRING Blacksmith_2_desc "A unicolored picture is displayed. (Recommond)"
	!insertmacro LANG_STRING Lload "L load"
	!insertmacro LANG_STRING Lload_desc "The effect at the time of L rod reaction is changed."
		!insertmacro LANG_STRING Lload_0 "No change"
		!insertmacro LANG_STRING Lload_0_desc "It does not change."
		!insertmacro LANG_STRING Lload_1 "Type 1 (Colorful)"
		!insertmacro LANG_STRING Lload_1_desc "The effect at the time of L rod reaction is changed into the colorful effect of RGB. (Recommond)"
		!insertmacro LANG_STRING Lload_2 "Type 2 (More big)"
		!insertmacro LANG_STRING Lload_2_desc "The effect at the time of L rod reaction is changed into growing large."
	!insertmacro LANG_STRING Target "Target Ring"
	!insertmacro LANG_STRING Target_desc "The picture of the target ring when pressing the AlT key is changed."
		!insertmacro LANG_STRING Target_0 "No change"
		!insertmacro LANG_STRING Target_0_desc "It does not change."
		!insertmacro LANG_STRING Target_1 "Type 1"
		!insertmacro LANG_STRING Target_1_desc ""
		!insertmacro LANG_STRING Target_2 "Type 2"
		!insertmacro LANG_STRING Target_2_desc "A circular magic square"
		!insertmacro LANG_STRING Target_3 "Type 3"
		!insertmacro LANG_STRING Target_3_desc "RagnarokOnline Like. (Recommond)"
		!insertmacro LANG_STRING Target_4 "Type 4"
		!insertmacro LANG_STRING Target_4_desc ""
		!insertmacro LANG_STRING Target_5 "Type 5"
		!insertmacro LANG_STRING Target_5_desc "Simplify."
	!insertmacro LANG_STRING Mimic "Show Mimic"
	!insertmacro LANG_STRING Mimic_desc "Mimic is displayed."
	!insertmacro LANG_STRING Key "Extend Key"
	!insertmacro LANG_STRING Key_desc "The key of the room of a dungeon and the key of a treasure box are made to grow large."
	!insertmacro LANG_STRING Sheep "Sheep Mod"
	!insertmacro LANG_STRING Sheep_desc ""

!insertmacro LANG_STRING Simplify "Simplify"
!insertmacro LANG_STRING Simplify_desc "These are Mods which simplify a texture and a polygon and reduce load."
	!insertmacro LANG_STRING Magic "Simplify magic effects"
	!insertmacro LANG_STRING Magic_desc ""
	!insertmacro LANG_STRING Blur "Simplify motion blur effects"
	!insertmacro LANG_STRING Blur_desc ""
	!insertmacro LANG_STRING Terrain "Half terrain textures mod"
	!insertmacro LANG_STRING Terrain_desc "Resolution of the texture of the terrain is made into a half and the load to a graphics card is pressed down."
	!insertmacro LANG_STRING Dungeon "Simplify dungeon walls"
	!insertmacro LANG_STRING Dungeon_desc "A wall, plants, etc. of a dungeon are removed."
		!insertmacro LANG_STRING Barri "Barri / Alby Dungeon"
		!insertmacro LANG_STRING Barri_desc "The wall and pillar of Barri dungeon and Alby dungeon are removed."
		!insertmacro LANG_STRING Runda "Runda Dungeon"
		!insertmacro LANG_STRING Runda_desc "The wall and pillar of Runda dungeon are removed."
		!insertmacro LANG_STRING WoodsRuins "Fiodhe / Coil Dungeon"
		!insertmacro LANG_STRING WoodsRuins_desc "A wall, plants, etc. of a Fiodhe dungeon and Coil dungeon are removed."
	!insertmacro LANG_STRING Critical "Simplify critical effect"
	!insertmacro LANG_STRING Critical_desc "A critical effect is simplified. The critical flash effect is reduced this."
	!insertmacro LANG_STRING Iria "Simplify Iria objects"
	!insertmacro LANG_STRING Iria_desc "The object of the Iria region is simplified."
	!insertmacro LANG_STRING Grass "Simplify grass"
	!insertmacro LANG_STRING Grass_desc "The TirChonaill grass is removed."
	!insertmacro LANG_STRING Sheep "Sheep Mod"
	!insertmacro LANG_STRING Sheep_desc ""

	!insertmacro LANG_STRING Field "Simplify field effects"
	!insertmacro LANG_STRING Field_desc ""
		!insertmacro LANG_STRING Desert "Simplify desert effects"
		!insertmacro LANG_STRING Desert_desc ""
		!insertmacro LANG_STRING Sand "Simplify Sand Stream"
		!insertmacro LANG_STRING Sand_desc ""
		!insertmacro LANG_STRING Snow "Simplify Snow"
		!insertmacro LANG_STRING Snow_desc ""
	
	!insertmacro LANG_STRING G9 "G9 Taillteann"
	!insertmacro LANG_STRING G9_desc "This is the simplification patch of the area of G9 (Taillteann, Abb Neagh, Sliab Cuilin)"
		!insertmacro LANG_STRING G9Objects "Objects"
		!insertmacro LANG_STRING G9Objects_desc "A prop is simplified."
		!insertmacro LANG_STRING G9Textures "Textures"
		!insertmacro LANG_STRING G9Textures_desc "A textures is simplified."
	
	!insertmacro LANG_STRING G10 "G10 Tara"
	!insertmacro LANG_STRING G10_desc "This is the simplification patch of the area of G10 (Tara etc)."
		!insertmacro LANG_STRING G10Objects "Objects"
		!insertmacro LANG_STRING G10Objects_desc "A prop is simplified."
		!insertmacro LANG_STRING G10Textures "Textures"
		!insertmacro LANG_STRING G10Textures_desc "A textures is simplified."

;Noginogi Translation
!insertmacro LANG_STRING Noginogi_Language "English"
!insertmacro LANG_STRING Noginogi_Author "godspresent"
!insertmacro LANG_STRING Noginogi_Homepage "Mabimods.us.to"

!insertmacro LANG_STRING Noginogi_Title1 "Patch Successed"
!insertmacro LANG_STRING Noginogi_Title2 "Patch Failed"
!insertmacro LANG_STRING Noginogi_Title3 ":3"

!insertmacro LANG_STRING Noginogi_Browse1 "Please select the folder Mabinogi is installed in"
!insertmacro LANG_STRING Noginogi_Browse2 "The default folder is [C:\Nexon\Mabinogi]."

!insertmacro LANG_STRING Noginogi_Msg1	"Pleione.dll is missing or is currently in use. Please make sure your client is not running and try again."
!insertmacro LANG_STRING Noginogi_Msg2	"Standard.dll is inaccessible. Please make sure your client is not running."
!insertmacro LANG_STRING Noginogi_Msg3	"Renderer2.dll is inaccessible. Please make sure your client is not running."
!insertmacro LANG_STRING Noginogi_Msg4	"Pleione.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg5	"Standard.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg6	"Renderer2.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg7	"Pleione.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg8	"Standard.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg9	"Renderer2.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg10	"The file has not been patched. This is not the correct file."
!insertmacro LANG_STRING Noginogi_Msg11	"The Patch was a Success!"
!insertmacro LANG_STRING Noginogi_Msg12	"Please carefully read the manual first and then proceed to use noginogi."
!insertmacro LANG_STRING Noginogi_Msg13	"Mabinogi Client is currently running. Please close the client and then try again."
!insertmacro LANG_STRING Noginogi_Msg14	"You are currently using an old/incompatible version of noginogi. Please run the patch remover and try again."
!insertmacro LANG_STRING Noginogi_Msg15	"NogiNogi remover will now remove previous noginogi patches. The client must be turned off for a clean removal. Continue?"
!insertmacro LANG_STRING Noginogi_Msg16	"NogiNogi remover will now remove previous noginogi patches. The client must be turned off for a clean removal. Continue? (the patch will proceed when the correct filepath is selected)"
!insertmacro LANG_STRING Noginogi_Msg17	"Version.dat is missing or currently in use. Please close your mabinogi launcher and try again."
!insertmacro LANG_STRING Noginogi_Msg18	"Mabinogi Launcher is currently running. Please close it and try again."
!insertmacro LANG_STRING Noginogi_Msg19	"Mabinogi Launcher is missing. The launcher must be available for the remover to proceed."
!insertmacro LANG_STRING Noginogi_Msg20	"Please select the correct Mabinogi filepath! Refer to the manual."
!insertmacro LANG_STRING Noginogi_Msg21	"ESL.dll is inaccessible. Please make sure your client is not running."
!insertmacro LANG_STRING Noginogi_Msg22	"ESL.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg23	"ESL.dll Mapping of this file has failed!"
!insertmacro LANG_STRING Noginogi_Msg24	"noginogi.ini is an outdated version. Some features may be unable to be used."

!insertmacro LANG_STRING Noginogi_Nogi0		"NogiNogi general patch"
!insertmacro LANG_STRING Noginogi_Nogi1		"Moving while talking with NPCs [Kareh]"
!insertmacro LANG_STRING Noginogi_Nogi2		"'will you drop item' check [Lilu]"
!insertmacro LANG_STRING Noginogi_Nogi3		"View shop names while parties are hidden [lona]"
!insertmacro LANG_STRING Noginogi_Nogi4		"Enable Self-trade"
!insertmacro LANG_STRING Noginogi_Nogi5		"NogiNogi Simplify Pets"
!insertmacro LANG_STRING Noginogi_Nogi6		"NogiNogi Simplify Transformation"
!insertmacro LANG_STRING Noginogi_Nogi7		"NogiNogi Mocha's Simplification"
!insertmacro LANG_STRING Noginogi_Nogi7_1	"Enable Mocha Simplifications"
!insertmacro LANG_STRING Noginogi_Nogi7_2	"Disable Mocha Simplifications"
!insertmacro LANG_STRING Noginogi_Nogi7_3	"Simplify Frames"
!insertmacro LANG_STRING Noginogi_Nogi8		"NogiNogi View Durability"
!insertmacro LANG_STRING Noginogi_Nogi8_1	"[A] Durability 1234/5678 (a/b)"
!insertmacro LANG_STRING Noginogi_Nogi8_2	"[B] Durability a/b (1234/5678)"
!insertmacro LANG_STRING Noginogi_Nogi8_3	"[C] Durability 1234/5678"
!insertmacro LANG_STRING Noginogi_Nogi8_4	"Disable 'View Durability'"
!insertmacro LANG_STRING Noginogi_Nogi9		"Mabinogi Extend Zoom"
!insertmacro LANG_STRING Noginogi_Nogi10	"Show Minimap in Dungeons"
!insertmacro LANG_STRING Noginogi_Nogi11	"Target Mimics and Sulfur Golems"
!insertmacro LANG_STRING Noginogi_Nogi12	"Show Character CP"
!insertmacro LANG_STRING Noginogi_Nogi13	"NogiNogi 3rd Party Mods"
!insertmacro LANG_STRING Noginogi_Nogi14	"NogiNogi Simplify NPCs"
!insertmacro LANG_STRING Noginogi_Nogi15	"NogiNogi Simplify Mobs"
!insertmacro LANG_STRING Noginogi_Nogi16	"Disable Screenshot watermark"
!insertmacro LANG_STRING Noginogi_Nogi18	"Read Data folder First"
!insertmacro LANG_STRING Noginogi_Nogi19	"Character name change when the Alt key is pressed"
!insertmacro LANG_STRING Noginogi_Nogi20	"Functions"
!insertmacro LANG_STRING Noginogi_Nogi21	"Zero height flying"
!insertmacro LANG_STRING Noginogi_Nogi22	"Action impossible skill use"
!insertmacro LANG_STRING Noginogi_Nogi23	"Skip transform effects"
!insertmacro LANG_STRING Noginogi_Nogi24	"Skip Message"
!insertmacro LANG_STRING Noginogi_Nogi25	"Swap housing adv and party chat"
!insertmacro LANG_STRING Noginogi_Nogi26	"Any"
!insertmacro LANG_STRING Noginogi_Nogi27	"Party"
!insertmacro LANG_STRING Noginogi_Nogi28	"Name"
!insertmacro LANG_STRING Noginogi_Nogi29	"Durability coloring by value"
!insertmacro LANG_STRING Noginogi_Nogi30	"Always order to pet"
!insertmacro LANG_STRING Noginogi_Nogi31	"Battle mode prop targeting"
!insertmacro LANG_STRING Noginogi_Nogi32	"Remover"
!insertmacro LANG_STRING Noginogi_Nogi33	"Portrait Simplifications"

!insertmacro LANG_STRING NabiPack_1 "Click OK button to launch NabiPack.$\nPlease click Patch button of the NabiPack."
!insertmacro LANG_STRING NabiPack_2 "Click OK button to launch NabiPack.$\nPlease click Repair button of the NabiPack."